%{
#include <stdlib.h>
#include <stdio.h>
%}

%token SyntaxError


%%

entrada: 
	| entrada  linha
	;

linha:   '\n'
        | SyntaxError '\n' {printf("Syntax Error\n\n");}
	| error '\n' {yyerrok;}
	;


%%

main()
{
    yyparse();
}

yyerror(s)
char *s;
{
}
